using System;

internal sealed class Delegate663 : MulticastDelegate
{
	public extern bool Invoke(DateTime dateTime_0, DateTime dateTime_1);

	public static bool smethod_0(DateTime dateTime_0, DateTime dateTime_1, Delegate663 delegate663_1)
	{
		return delegate663_1(dateTime_0, dateTime_1);
	}

	public extern Delegate663(object object_0, IntPtr intptr_0);

	static Delegate663()
	{
		Class10.smethod_13(typeof(Delegate663).TypeHandle);
	}

	internal static Delegate663 delegate663_0;
}
